> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Mobile Money Creation

> Create a mobile money transaction to send funds to a beneficiary's mobile wallet. Only supported in Ghana.



## OpenAPI

````yaml POST /gateway/v3/transaction/mobilemoney
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /gateway/v3/transaction/mobilemoney:
    post:
      tags:
        - Transactions
      summary: Create Mobile Money Transaction
      description: >-
        Create a mobile money transaction to send funds to a beneficiary's
        mobile wallet. Only supported in Ghana.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - mobileWalletPayLoadDTOList
              properties:
                mobileWalletPayLoadDTOList:
                  type: array
                  items:
                    type: object
                    required:
                      - methodName
                      - pluginName
                      - mobileWalletRequest
                    properties:
                      methodName:
                        type: string
                        enum:
                          - SENDTRANSGENERIC
                        default: SENDTRANSGENERIC
                      pluginName:
                        type: string
                        enum:
                          - SONGHAI_EXCHANGE_MONEY
                        default: SONGHAI_EXCHANGE_MONEY
                      mobileWalletRequest:
                        type: object
                        properties:
                          beneficiaryRelationship:
                            type: string
                            enum:
                              - FRIENDS
                              - PARENTS
                              - RELATIVES
                              - SPOUSE
                              - OTHER
                          mobileOperatorCode:
                            type: string
                            description: Mobile operator code (e.g., MTN, VOD, AIR)
                          mobile_money_wallet_number:
                            type: string
                          previous_reference_code:
                            type: string
                          rate:
                            type: string
                          receiver_address:
                            type: string
                          receiver_city:
                            type: string
                          receiver_country_iso3:
                            type: string
                            description: ISO 3-letter country code
                          receiver_currency:
                            type: string
                            description: ISO 3-letter currency code
                          receiver_first_name:
                            type: string
                          receiver_gender:
                            type: string
                          receiver_last_name:
                            type: string
                          receiver_middle_name:
                            type: string
                          receiver_occupation:
                            type: string
                          receiver_wallet_account_name:
                            type: string
                          receiving_amount:
                            type: number
                            format: double
                          reference_code:
                            type: string
                          senderEmail:
                            type: string
                            format: email
                          sender_address_line1:
                            type: string
                          sender_city:
                            type: string
                          sender_country_iso3:
                            type: string
                          sender_date_of_birth:
                            type: string
                            format: date
                            example: '1990-01-01'
                          sender_first_name:
                            type: string
                          sender_gender:
                            type: string
                          sender_last_name:
                            type: string
                          sender_mobile_number:
                            type: string
                          sender_occupation:
                            type: string
                          sender_state:
                            type: string
                          sender_zip_code:
                            type: string
                          sending_currency:
                            type: string
                          sourceOfFunds:
                            type: string
                            enum:
                              - CASH
                            default: CASH
                          transaction_narration:
                            type: string
                          transaction_purpose:
                            type: string
                          transaction_type:
                            type: string
                            enum:
                              - MOBILE_MONEY
                            default: MOBILE_MONEY
      responses:
        '200':
          description: Mobile money transaction created successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    pay_out_party_trans_status:
                      type: string
                    reference_code:
                      type: string
                    status:
                      type: string
                    pay_out_party_trans_id:
                      type: string
                      nullable: true
                    msg_note:
                      type: string
                    msg_code:
                      type: string
                    newAccountCreated:
                      type: boolean
                    autoAccountCreationEnabled:
                      type: boolean
                    accountPaymentRedirectedEnabled:
                      type: boolean
                    accountPaymentRedirected:
                      type: boolean
                    originalPaymentInstructionAccountNumber:
                      type: string
                    redirectedAccountNumber:
                      type: string
                      nullable: true
                    accountBankCode:
                      type: string
                    inflowRequestDate:
                      type: string
                      nullable: true
                    executionDate:
                      type: string
                      nullable: true
                    lastUpdate:
                      type: string
                      nullable: true
                    inflowRequestResendCount:
                      type: integer
                    resendCount:
                      type: integer
      security:
        - bearerAuth: []
      servers:
        - url: https://api.stag.songhaiexchange.io
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````